Bug 89146 - usb support not loaded; missing in /proc/devices
usb support not loaded; missing in /proc/devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-18 08:48 EDT by Niels Walet
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 14:48:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niels Walet 2003-04-18 08:48:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
This might be a kernel problem:
After a reboot (an a kernel upgrade), I suddenly lost support for usb.
The issue seems to be that usb is not listed in /proc/devices,
even though the io-ports can be seen in /proc/ioports.  
This happens in kernel version .4.18-27.8.0smp, but I am a little confused by
the fact that I cannot regress to the previous kernel!


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Reboot!

    

Actual Results:  Looking at the script, if usb is missing in devices usb support
will not be loaded... I am not sure what the kernel issue is that shows usb
support in /proc/devices.

Additional info:
Comment 1 Bill Nottingham 2003-04-18 16:42:21 EDT
What is the output of 'lspci'?
Comment 2 Niels Walet 2003-04-21 04:49:09 EDT
lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 22)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586B PIPC Bus Master IDE (rev 10)
00:07.2 USB Controller: VIA Technologies, Inc. USB (rev 10)
00:07.3 USB Controller: VIA Technologies, Inc. USB (rev 10)
00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 30)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio
Controller (rev 20)
00:0c.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev
02)00:0f.0 Ethernet controller: VIA Technologies, Inc. VT86C100A [Rhine] (rev 06)
00:10.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]
01:00.0 VGA compatible controller: nVidia Corporation NV5 [Riva TnT2] (rev 15)
Comment 3 Alan Cox 2003-06-05 12:26:23 EDT
and dmesg after a boot with it failing ti see the USB ?
Comment 4 Pete Zaitcev 2003-06-06 17:15:03 EDT
Alan's right, we need a decent dmesg. Please attach it instead of dropping
into the comments box.

Another thing, please upgrade to 2.4.20-18.8.
Comment 5 Dave Jones 2004-01-05 14:48:51 EST
end of life

Note You need to log in before you can comment on or make changes to this bug.